AutoCAD Inventor :: Close Loop Function
Oct 23, 2012
Have sketched the geometry for an 18 tooth circular sawblade. However I have had difficulty applying the close loop function. As a result am not yet able to extrude the saw blade. What to do to implement close loop?
View 4 Replies
ADVERTISEMENT
Nov 13, 2012
I'm trying to be able to have a function run another function with the secondary function being passed as an argument to the first. I'm trying to create a recursive function and the recursive part works great. I just need to be able to have the recursive function run other functions to actually do stuff.
Here is something I found that should do what I need, mainly run a function from a function name in a variable.
Sub test() Dim ftnName As String Dim argument As String Dim result As String ftnName = "myFunction" argument = "cat" result = Application.Run(ftnName, argument) MsgBox resultEnd SubFunction myFunction(inString As String) As String myFunction = inString & " has " & Len(inString) & " letters."End Function
However I get the error "object required" on the "result = Application.Run(ftnName, argument)" line. So I'm guessing the Inventor VBA doesn't like this method of doing this. I'm just hoping there is a way to do this or this function will be useless or reduced to hardcoding functions which still defeats the purpose.
View 2 Replies
View Related
Mar 6, 2013
I have a sphere body whose material is partly removed by a boolen subtraction with another sphere. When I query the EdgeLoop of sphere for Outer edge loop using function InvEdgeLoopPtr::GetIsOuterEdgeLoop(), I always get a value of VARIANT_TRUE. check for the inner and outer loop of a sphere? use the attached file for reference.
View 3 Replies
View Related
Jul 19, 2013
I am trying to create a logic rule to replace the model reference in a idw file and then save as using the new file reference name. I am able to do this for individual files or components within an assembly file.
However what I would like is to check through all files of a certain type (for example ipt with filenames beginning "SSUA" ) in a specific folder.
The following code from Curtis Waguespack works well for individual selected files but I would like to take it a stage further with the above parameters.
Dim oDoc as DocumentoDoc = ThisDoc.DocumentDim oRefFile As FileDescriptorDim oOrigRefName As Object For Each oRefFile In oDoc.file.ReferencedFileDescriptors'get the full file path to the original internal referencesoOrigRefName = oRefFile.FullFileName'present a File Selection dialogDim oFileDlg As inventor.FileDialog = NothingInventorVb.Application.CreateFileDialog(oFileDlg)oFileDlg.InitialDirectory
[Code]........
View 3 Replies
View Related
Jun 8, 2012
I have VB code that loops through and utilizes Excel data to pick which file(s) to open, update, and close. Then it opens the appropriate .idw file, updates it and saves it as a .pdf.
The line of code I have now is simple:
_invApp.ActiveDocument.SaveAs("C:UsersxxDesktopA60.pdf", True)
and that writes the file to my desktop as a .pdf.
However, as the loop runs over and over, it will find another data set that is the same A60 type, so it will want to save OVER that .pdf it's already created.
How do I go about having a variable filename? Something where it would add a _01 _02 _03 (or similar) to the end of the filename (i.e. A60_01.pdf, A60_02.pdf).
View 1 Replies
View Related
Sep 10, 2013
I am currently designing a heat exchanger and want to adjust the number of water channel using iLogic. The number of channels to be active is based on the channel dimensions, and is calculated in my excel spreadsheet, but up to a maximum of 19. This is stored in the parameter "no_channel". Each channel is a seperate feature (extrusion) and named from "Channel 1" though "Channel 19".
My idea of doing this automation was to have iLogic suppress all the features, and then doing a closed loop to unsuppres the features I want active:
Feature.IsActive("Channel 1") = FalseFeature.IsActive("Channel 2") = False...Feature.IsActive("Channel 19") = FalseFor i = 1 To no_channelFeature.IsActive("Channel"(i)) = TrueNext
However, this gives me the following error:
Error in rule: Number of channels, in document: Radiator fin side.ipt
Feature.IsActive: No feature found with the name: "h".
View 2 Replies
View Related
Jun 6, 2012
I'm desperate to know how should i heal the errors for loop orientation issues. I had imported the .stp file into inventor so i can do stress analysis. After imported the file and enter into repair environment, after i find the errors shown 9 errors in loop orientation issues.
View 1 Replies
View Related
Aug 12, 2013
I wanted to chamfer a poligonal faced part, but had to select the edges one by one.
The Edge Chain buttons were grayed out, why?
View 1 Replies
View Related
Sep 27, 2011
Is it possible to stop an infinite loop when running an iLogic rule?
View 4 Replies
View Related
Sep 26, 2011
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
View 5 Replies
View Related
Dec 16, 2013
I am attempting to split a face so I have a good area to apply a load in simulation and 3/4 of the areas split just fine but I CANNOT get the 4th area to split! This is all just projected geometry but left and right are symmetrical so I can't figure out why the L side works but not the R side.
View 2 Replies
View Related
Mar 10, 2012
way to redefine a point that was placed in a model with a "Center of Loop of Edges" command? Inventor doesn't seem to recognize type of placement unless it's been selected from the Point drop-down menu, but picking this in the midst of a redefine only creates a new point, it doesn't redefine the original point.
As it is, I've been forced to just delete the original point, create a new one and go from there.
Infrastructure DSP '14 / Product DSP '14 / Vault Professional 2014
Dell Precision T1650
Windows 7 Professional SP1 64-bit
Intel E3-1270 V2 3.5GHz / 32G RAM
Nvidia Quadro 2000, Driver 331.82
Space Navigator, Driver Version 6.17.7
View 2 Replies
View Related
Dec 20, 2013
I'm designing a lift truck with a "chain over" lift - the lift cylinder has a sprocket mounted on the end of the rod, and the chain is grounded on one side. The other end of the chain is mounted to a lifting carriage so that as the cylinder extends and pushes the sprocket up, the chain rolls over it and the carriage moves up (at twice the speed of the cylinder). This is nothing new - it's pretty much how every single fork truck in the world operates.
My question is this: can I use the roller chain generator to model this chain, or should I model the links and array them along a path? My thinking is that if I can use the chain generator, I should be able to animate the chain using Dynamic Simulation. But the chain generator seems to require a minimum of 2 sprockets in order to work - there's no way that I can see to have a "non-looped" chain or any way to just ground the end of the chain.
2014 Product Design Suite
W7Pro-64
Intel Xeon E5-1620 @ 3.60 GHz 16GB RAM
Dual 1GB NVIDIA Quadro K600 graphics
View 4 Replies
View Related
Sep 27, 2011
I'd like to use the Cable and Wiring tools to model some fibre optics. I can see how this could work well, being able to set and check for the minimum bend radius. However, I'd also like to include a loop of greater than minimum bend radius between the two connection points, we tend to do this to reduce strain on the fibres. Any elegant solution for inserting the loop?
View 3 Replies
View Related
Oct 30, 2013
I have just started to use ilogic, what i want to do is measure the length of a loop in a sketch and then use this measurement as a parameter.
I have found this rule that will measure the loop length and display it in a message box
Dim se As SketchEntity = ThisDoc.Document.ComponentDefinition.Sketches(1).SketchLines(1)
MsgBox(ThisApplication.MeasureTools.GetLoopLength(se)*10 & " mm")
but i do not know how to capture the measurement as a parameter .
View 3 Replies
View Related
Mar 21, 2013
I want continuously to display the loop measuring of a Spline/Arc/Line/Slope (or even have it as a dimension / parameter on a sketch/part) because it change in relation to the block-position that constrains to the slope.
View 3 Replies
View Related
Sep 28, 2012
I'd like to create a macro that I can run from within an assembly that will loop through each BOM item and add the quantity req'd to a custom property within the component. I'm very familiar with VBA from Office, but I'm new to it with respect to Inventor so I'm pretty fuzzy with object titles and options.
Here's an outline of what I'd like to do:
Execute Macro from within Assembly file
For Each BOM Item to # of BOM Items
If Vendor = "Make" then
Set Component Custom Property "Qty_Reqd" = Total Qty from BOM
Endif
Next BOM Item
View 9 Replies
View Related
Apr 16, 2013
I am trying to setup some rules to print various PDF files which we have managed to do without any problems.
The bit I am stuck on is when one of the PDF files being saved is open by another user.
We have been able to error trap it when it is open by showing a message box on error asking them to close the file befopre continuing. The current message box being used is the Retry / Cancel box.
When the user clicks Retry we would like it to re-run the rule, or loops through the rule and check is the file is still open. If the file is open return the same error, and if the file has been closed save the PDF file. When Cancel is pressed it ends the rule (This Bit has been done).
My questions is how do I get the rule to re-run / loop through when the retry button is pressed.
Is it also possible to show the user who has the file open (or Previewing it in a Window Explorer)?
I have attached the Code currently Being used but I can post it here of preferred?
View 2 Replies
View Related
Jun 28, 2013
Being all new and complete virgin-like, to ilogic, I would like to know wether it is possible to analyze a sketch (wenn it is being closed)?
What I want to analyze is:
Does the sketch contain a fully constrained closed loop?
Does this closed loop consist only of straight lines?
What is the total number of lines in the loop?
Next fase is:
Create an excel-sheet with the following information:
For each line in this closed loop i wish to add the length of the line, and the angle to the next line (consequently on the internal side of the loop, resulting in angles from 0 to 180 degrees).
View 2 Replies
View Related
Sep 19, 2011
Using 2011.
I have lists of Documents I am altering and saving automatically in a loop, The problem is that if the file needs to be migrated you get a dialog box in your face for every file in the list. How can I temporarally turn the dialog off?
ThisApplication.SaveOptions.PromptSaveForMigration = False
Does not do it.
View 1 Replies
View Related
Nov 1, 2011
I am trying to build a robotic head using the surface modeling and thereafter thicken the surface to form solid. I was not able to load the original model as the file size is exceeded. I use a derive model and the problem is similar.
View 9 Replies
View Related
Jul 12, 2012
I'm looking for a script that makes automatically PDF AND DXF when i close a IDW drawing.
So on close export to PDF and DXF
View 2 Replies
View Related
Jul 20, 2013
I call an instance of an inventor using inventor api ,vb.net code. here is my code
inventorApp = CreateObject("Inventor.Application", "")
inventorApp.Visible = True
My doubt is and how can I close this inventor instance.I tried
inventorApp.Visible = False
View 1 Replies
View Related
Mar 21, 2013
I've run into this problem with different sketch types when curves cross each other and are trimmed, or when patterned sketches are coincident. The problem I'm having is that I'm creating a ratchet wheel and I'm patterning a sketch in two parts so that the spacing for the teeth line up. What I do first is draw the angled line of the tooth, do a circular pattern of 20 teeth around the origin, an then create an arc from the bottom point of each line to the tip of the next line to create the back of the tooth. When I try to extrude it, it says the loop is not closed, but when I do the repair, it says it overconstrains the sketch and is not possible. I've tried creating this profile using a center circle that intersects the bottom of the teeth and it does not work either. I was able to make the profile I needed by making one tooth, extruding it, patterning the feature, and then creating a circular sketch in the middle and extruding it. The problem with this (aside from requiring additional steps not needed in other programs) is that when I needed to go back and change tooth dimensions, it can't rebuild the sketch.
I attached two different sketches of the non-closed profile as well as the solid ratchet piece that I made using the pattern feature command that has the teeth that can't be easily edited.
View 4 Replies
View Related
Mar 15, 2012
I am using Inventor 2012 and C#. I would like that, when I close my Form, Inventor and all files that are open will be closed with displaying the message about saving the files .Some of my opened file are stored in Lists.
This code das not work Inventor still asking me about saving the files.
private void Form1_FormClosed(object sender, FormClosedEventArgs e)
{
if (InventorOpen._started)
{
oDrawDoc.Close(false);
foreach (Inventor.AssemblyDocument openAssemDocument in openAssemDocumentsList)
{
openAssemDocument.Activate();
[code]....
View 8 Replies
View Related
Oct 25, 2013
This seems absolutly silly.
(setq p1 (getpoint))
(setq p2 (getpoint))
(setq Dist (distance p1 p2))
Why does this not work?
I'm trying to build a command to replace AutoCAD's "DI" command, to give distance and delta x, y, and z values in decimal and imperial, and keep the angles in XY plane and out of XY plane.
View 9 Replies
View Related
Nov 3, 2012
I have an iLogic that runs to create parts and assemblies. These parts and sub-assemblies are for a range of library components which are either part(s) or assemblies or and assemblies composed of parts) and sub-assemblies as well. This iLogic is mostly done despite I have limited knowledge in this area. At the beginning it opens a text file (.txt) by the command line:
ThisDoc.Launch("L:\_Nov 02Info and Input GuideLines.txt")that offers guidelines and instructions.
I would like to how can I close (exit) this text file at a point within or end of the current iLogic because, it opens a several files of the same every time I run the iLogic otherwise.
View 3 Replies
View Related
Apr 22, 2009
I'm creating a macro to run on creation of a new assembly from a particular template. I created a macro named autonew in the template's VBA project file. It works great except for one thing: if the user presses "Cancel" on my form, I want to not only unload the form but also close the file. For this case I've used:
ThisApplication.ActiveDocument.Close True
I've created a test template assembly with only this line in autonew, and it crashes Inventor. The same line of code an a non-autonew module within the template file's VBA project closes the document without error or crashing. I assume this is a bug and not as designed.
Is this a bad way to accomplish the task of closing a newly created assembly? Even if this isn't the preferred approach, I don't think this should cause a crash.
I'm running Inventor 2009 SP1.
I'm running 64 bit on XP64
View 5 Replies
View Related
Mar 8, 2012
I have dimensioned hundreds of drawings with the Ordinate Dimension command in Inventor 5.1. I'm now using Inventor 2011 and I'm having lots of issues using this command. When I first set up the dimensions, I can't get the dimensions to default close to the view. They almost always want to be on the very edge of the title block. I don't think this is a sttings problem, because occasionally they will lock to where I want them. What am I doing wrong?
The first attachment is how they go on their own. In the second attachment, I have manually moved them, but at 1 dimension per move, it's slow, and also hard to keep the all aligned.
Autodesk Inventor 2011
AutoCAD Mechanical 2011
View 2 Replies
View Related
Aug 21, 2013
Looking for the ilogic code to place in the drawing rule to close *.ipt file that was recently open.
View 2 Replies
View Related
Mar 26, 2013
How to close an application (*.ipt & *.iam) by ilogic code?I tried to use...ThisDoc.Document.close (True) to close it.Indeed, it can close the application, but there is an error occurred as following:
Catastrophic failure (Exception from HRESULT: 0x8000FFFF (E_UNEXPECTED))
how to avoid this error or any other way to close (or exit) the application?
View 9 Replies
View Related